#pragma once
#include "MicroBehaviour.h"

class AerialScoutBehaviour : public MicroBehaviour {
public:
	AerialScoutBehaviour(UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();
	virtual void pickNewTarget();
	void relinquishExploreTarget();
	void reportEnemyBaseLoc();

private:
	BWAPI::Position targetPosition;
	InformationCell* targetCell;
	UnitManager* unitManager;

	bool attacking;
	bool moving;

protected:


};